import { BaseModuleEntity } from '../base/baseModuleEntity';
import { ArticleContentCategoryModel } from './articleContentCategoryModel';
import { ArticleContentModel } from './articleContentModel';
export declare class ArticleCategoryModel extends BaseModuleEntity<number> {
    title: string;
    titleResourceLanguage: string;
    contentCount: number;
    description: string;
    fontIcon: string;
    linkParentIdNode: string;
    linkParentId: number;
    children: ArticleCategoryModel[];
    category: ArticleCategoryModel;
    virtual_Category: ArticleCategoryModel;
    contents: ArticleContentModel[];
    contentCategores: ArticleContentCategoryModel[];
    linkMainImageId?: number;
    linkMainImageIdSrc: string;
}
