import { BaseEntity } from '../base/baseEntity';
import { BankPaymentPublicConfigModel } from './bankPaymentPublicConfigModel';
import { BankPaymentTransactionModel } from './bankPaymentTransactionModel';
export declare class BankPaymentPrivateSiteConfigModel extends BaseEntity<number> {
    title: string;
    currencyUnitRatioByShop: number;
    maxTransactionAmount: number;
    minTransactionAmount: number;
    fixFeeTransactionAmount: number;
    percentFeeTransactionAmount: number;
    linkPublicConfigId: number;
    virtual_PublicConfig: BankPaymentPublicConfigModel;
    publicConfig: BankPaymentPublicConfigModel;
    privateConfigJsonValues: string;
    memo: string;
    transactions: BankPaymentTransactionModel[];
    linkModuleFileLogoIdSrc: string;
}
