import { FilterDataModel } from './filterDataModel';
import { ExportFileModel } from './exportFileModel';
import { SortTypeEnum } from '../../enums/base/sortTypeEnum';
export declare class FilterModel {
    constructor();
    filters: FilterDataModel[];
    countLoad: boolean;
    accessLoad: boolean;
    totalRowData: number;
    skipRowData: number;
    currentPageNumber: number;
    rowPerPage: number;
    sortType: SortTypeEnum;
    sortColumn: string;
    exportFile: ExportFileModel;
}
