import { UserClaimKindsEnum } from '../../enums/core/userClaimKindsEnum';
import { BaseEntity } from '../base/baseEntity';
import { CoreUserClaimGroupDetailModel } from './coreUserClaimGroupDetailModel';
import { CoreUserClaimContentModel } from './coreUserClaimContentModel';
export declare class CoreUserClaimTypeModel extends BaseEntity<number> {
    title: string;
    titleML: string;
    titleResourceLanguage: string;
    description: string;
    dismissOnEdit: boolean;
    kind: UserClaimKindsEnum;
    userClaims: CoreUserClaimContentModel[];
    userClaimGroupDetails: CoreUserClaimGroupDetailModel[];
    linkMainImageId: number;
    linkMainImageIdSrc: string;
}
