import { BaseModuleEntity } from '../base/baseModuleEntity';
import { DonateTargetModel } from './donateTargetModel';
import { DonateTargetPeriodSponsorModel } from './donateTargetPeriodSponsorModel';
import { DonateTransactionModel } from './donateTransactionModel';
export declare class DonateTargetPeriodModel extends BaseModuleEntity<number> {
    title: string;
    description: string;
    supportRequiredPayment: number;
    linkTargeId?: number;
    target: DonateTargetModel;
    virtual_Target: DonateTargetModel;
    shareBeginDate?: Date;
    shareExpireDate?: Date;
    currentClickCount: number;
    currentViewCount: number;
    currentPaymentCount: number;
    currentPaymentSum: number;
    targetPeriodSponsors: DonateTargetPeriodSponsorModel[];
    transactions: DonateTransactionModel[];
}
