import { RecordStatusEnum } from '../../enums/base/recordStatusEnum';
import { BaseModuleEntity } from '../base/baseModuleEntity';
export declare class EstateAccountAgencyModel extends BaseModuleEntity<string> {
    mainAdminRecordStatus: RecordStatusEnum;
    linkCmsUserId: number;
    title: string;
    description: string;
    descriptionHidden: string;
    linkLocationId?: number;
    linkLocationIdTitle: string;
    linkLocationIdParentTitle: string;
    linkLocationWorkAreaIds: number[];
    notificationWorkAreaEstate: boolean;
    notificationWorkAreaCustomerOrder: boolean;
    geolocationlatitude?: number;
    geolocationlongitude?: number;
    address: string;
    phoneNumber: string;
    mobileNumber: string;
    linkMainImageId?: number;
    linkMainImageIdSrc: string;
    linkExtraImageIds: string;
    linkExtraImageIdsSrc: string[];
    accessWatchRowSite: boolean;
    accessWatchRowOtherAgency: boolean;
    accessWatchRowOtherAgent: boolean;
    accessAllowShareRowWatchOtherAgency: boolean;
    accessAllowShareRowWatchOtherAgent: boolean;
}
