import { HyperShopConnectionTypeEnum } from '../../enums/base/hyperShopConnectionTypeEnum';
import { BaseModuleConfigAdminMainValuesModel } from '../base-config/baseModuleConfigAdminMainValuesModel';
import { BaseModuleConfigSiteAccessValuesModel } from '../base-config/baseModuleConfigSiteAccessValuesModel';
import { BaseModuleConfigSiteValuesModel } from '../base-config/baseModuleConfigSiteValuesModel';
import { BaseModuleSiteStorageValuesModel } from '../base-config/baseModuleSiteStorageValuesModel';
export declare class HyperShopModuleConfigAdminMainValuesModel extends BaseModuleConfigAdminMainValuesModel {
    DefaultCategorySiteId: number;
    DefaultSourceApplicationId: number;
}
export declare class HyperShopModuleConfigSiteAccessValuesModel extends BaseModuleConfigSiteAccessValuesModel {
    bankSharingMethodClaimIsApproved: boolean;
    userPaymentMethodIsApproved: boolean;
}
export declare class HyperShopModuleConfigSiteValuesModel extends BaseModuleConfigSiteValuesModel {
    hyperShopConnectionType: HyperShopConnectionTypeEnum;
    inPlacePaymentMethodIsEnabled: boolean;
    bankSharingMethodIsEnabled: boolean;
    userPaymentMethodIsEnabled: boolean;
    hyperShopApiUrl: string;
    dataCacheIsEnabled: boolean;
    dataOrderAcceptAutoIfMicroServiceOfflineIsEnabled: boolean;
}
export declare class HyperShopModuleSiteStorageValuesModel extends BaseModuleSiteStorageValuesModel {
}
