import { SharingAccountingTypeEnum } from '../../enums/link-management/sharingAccountingTypeEnum';
import { BaseModuleEntity } from '../base/baseModuleEntity';
import { LinkManagementAccountingModel } from './linkManagementAccountingModel';
export declare class LinkManagementAccountingDetailModel extends BaseModuleEntity<number> {
    linkManagementAccountingId: number;
    virtual_Accounting: LinkManagementAccountingModel;
    accounting: LinkManagementAccountingModel;
    accountingType: SharingAccountingTypeEnum;
    linkExternalShopInvoiceSaleDetailId?: number;
    rowNumber: number;
    description: string;
    debtor: number;
    creditor: number;
    fishNumber: string;
    tokenNumber: string;
    receiptCode: string;
}
