import { BaseModuleEntity } from '../base/baseModuleEntity';
import { MemberHistoryModel } from './memberHistoryModel';
import { MemberPropertyDetailValueModel } from './memberPropertyDetailValueModel';
import { MemberPropertyTypeModel } from './memberPropertyTypeModel';
import { MemberUserModel } from './memberUserModel';
export declare class MemberPropertyModel extends BaseModuleEntity<number> {
    linkMemberId: number;
    title: string;
    description: string;
    linkCmsUserId: number;
    linkPropertyTypeId: number;
    virtual_memberUser: MemberUserModel;
    virtual_PropertyType: MemberPropertyTypeModel;
    address: string;
    linkMainImageId: number;
    linkExtraImageIds: string;
    linkFileIds: string;
    sumLikeClick: number;
    sumLikeScore: number;
    viewCount: number;
    histores: MemberHistoryModel[];
    virtual_PropertyDetailValue: MemberPropertyDetailValueModel[];
    mainImageSrc: string;
    linkExtraImageIdsSrc: string[];
    linkFileIdsSrc: string[];
}
