import { AnswerStatusEnum } from '../../enums/ticketing/answerStatusEnum';
import { BaseModuleEntity } from '../base/baseModuleEntity';
import { CoreUserModel } from '../core-main/coreUserModel';
import { MemberUserModel } from '../member/memberUserModel';
import { TicketingDepartemenModel } from './ticketingDepartemenModel';
import { TicketingDepartemenOperatorModel } from './ticketingDepartemenOperatorModel';
import { TicketingTaskModel } from './ticketingTaskModel';
export declare class TicketingAnswerModel extends BaseModuleEntity<number> {
    linkMemberId: string;
    linkTaskId: number;
    htmlBody: string;
    virtual_Ticket: TicketingTaskModel;
    answerStatus: AnswerStatusEnum;
    ticket: TicketingTaskModel;
    linkTicketingDepartemenId?: number;
    virtual_Departemen: TicketingDepartemenModel;
    departemen: TicketingDepartemenModel;
    linkTypeOperatorId?: number;
    virtual_DepartemenOperator: TicketingDepartemenOperatorModel;
    departemenOperator: TicketingDepartemenOperatorModel;
    linkFileIds: string;
    linkFileIdsSrc: string[];
    uploadFileGUID: string[];
    moduleCoreCreatedBy: CoreUserModel;
    moduleCoreMemberUserId: MemberUserModel;
}
