import { Observable } from 'rxjs';
export declare class CmsStore<StateType = any> {
    private stateSubject;
    constructor(initialState: StateType);
    getState(): Observable<StateType>;
    getStateSnapshot(): StateType;
    select<K extends keyof StateType>(key: K): Observable<StateType[K]>;
    setState(partialState: Partial<StateType>): void;
}
