import { Observable } from 'rxjs';
import { ApplicationLayoutModel } from '../../models/entity/application/applicationLayoutModel';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { FilterModel } from '../../models/entity/base/filterModel';
import * as i0 from "@angular/core";
export declare class ApplicationLayoutService extends ApiCmsServerBase<ApplicationLayoutModel, number, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceGetOneWithJsonFormat(model: FilterModel): Observable<ErrorExceptionResult<ApplicationLayoutModel>>;
    ServiceGetAllWithJsonFormat(model: FilterModel): Observable<ErrorExceptionResult<ApplicationLayoutModel>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ApplicationLayoutService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ApplicationLayoutService>;
}
