import { FilterModel } from '../../models/entity/base/filterModel';
import { Observable } from 'rxjs';
import { SendNotificationModel } from '../../models/dto/application/sendNotificationModel';
import { ApplicationLogNotificationModel } from '../../models/entity/application/applicationLogNotificationModel';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import * as i0 from "@angular/core";
export declare class ApplicationLogNotificationService extends ApiCmsServerBase<ApplicationLogNotificationModel, string, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceSendNotification(model: SendNotificationModel): Observable<ErrorExceptionResult<ApplicationLogNotificationModel>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ApplicationLogNotificationService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ApplicationLogNotificationService>;
}
