import { FilterModel } from '../../models/entity/base/filterModel';
import { Observable } from 'rxjs';
import { ApplicationSourceModel } from '../../models/entity/application/applicationSourceModel';
import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import * as i0 from "@angular/core";
export declare class ApplicationSourceService extends ApiCmsServerBase<ApplicationSourceModel, number, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceBuildApp(Id: number): Observable<ErrorExceptionResult<ApplicationSourceModel>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ApplicationSourceService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ApplicationSourceService>;
}
