import { FilterModel } from '../../models/entity/base/filterModel';
import { Observable } from 'rxjs';
import { ApplicationThemeConfigModel } from '../../models/entity/application/applicationThemeConfigModel';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import * as i0 from "@angular/core";
export declare class ApplicationThemeConfigService extends ApiCmsServerBase<ApplicationThemeConfigModel, number, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceCurrentTheme(): Observable<ErrorExceptionResult<ApplicationThemeConfigModel>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ApplicationThemeConfigService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ApplicationThemeConfigService>;
}
