import { Observable } from 'rxjs';
import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { ArticleCategoryModel } from '../../models/entity/article/articleCategoryModel';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { FilterModel } from '../../models/entity/base/filterModel';
import * as i0 from "@angular/core";
export declare class ArticleCategoryService extends ApiCmsServerBase<ArticleCategoryModel, number, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceMove(OldId: number, NewId: number): Observable<ErrorExceptionResult<ArticleCategoryModel>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ArticleCategoryService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ArticleCategoryService>;
}
