import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { FilterModel } from '../../models/entity/base/filterModel';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { ArticleContentModel } from '../../models/entity/article/articleContentModel';
import { Observable } from 'rxjs';
import { ScoreClickDtoModel } from '../../models/dto/core-main/scoreClickDtoModel';
import { ErrorExceptionResultBase } from '../../models/entity/base/errorExceptionResultBase';
import { CoreModuleReportAbuseDtoModel } from '../../models/dto/core-module/coreModuleReportAbuseDtoModel';
import * as i0 from "@angular/core";
export declare class ArticleContentService extends ApiCmsServerBase<ArticleContentModel, number, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceGetAllWithHierarchyCategoryId(Id: number, model: FilterModel): Observable<ErrorExceptionResult<ArticleContentModel>>;
    ServiceGetAllWithSimilarsId(Id: number, model: FilterModel): Observable<ErrorExceptionResult<ArticleContentModel>>;
    ServiceGetAllWithTagId(Id: number, model: FilterModel): Observable<ErrorExceptionResult<ArticleContentModel>>;
    ServiceGetAllWithCategoryUseInContentId(Id: number, model: FilterModel): Observable<ErrorExceptionResult<ArticleContentModel>>;
    ServiceScoreClick(model: ScoreClickDtoModel): Observable<ErrorExceptionResultBase>;
    ServiceFavoriteAdd(Id: number): Observable<ErrorExceptionResultBase>;
    ServiceFavoriteRemove(Id: number): Observable<ErrorExceptionResultBase>;
    ServiceFavoriteList(model: FilterModel): Observable<ErrorExceptionResult<ArticleContentModel>>;
    ServiceReportAbuseAdd(model: CoreModuleReportAbuseDtoModel): Observable<ErrorExceptionResult<ArticleContentModel>>;
    ServiceReportAbuseList(model: FilterModel): Observable<ErrorExceptionResult<ArticleContentModel>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ArticleContentService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ArticleContentService>;
}
