import { BankPaymentPublicConfigModel } from '../../models/entity/bank-payment/bankPaymentPublicConfigModel';
import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { FilterModel } from '../../models/entity/base/filterModel';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { Observable } from 'rxjs';
import { BankPaymentPublicConfigAliasJsonModel } from '../../models/entity/bank-payment/bankPaymentPublicConfigAliasJsonModel';
import * as i0 from "@angular/core";
export declare class BankPaymentPublicConfigService extends ApiCmsServerBase<BankPaymentPublicConfigModel, number, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceGetOneWithJsonFormatter(id: number): Observable<ErrorExceptionResult<BankPaymentPublicConfigAliasJsonModel>>;
    ServiceAutoAdd(): Observable<ErrorExceptionResult<BankPaymentPublicConfigModel>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<BankPaymentPublicConfigService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<BankPaymentPublicConfigService>;
}
