import { Observable } from 'rxjs';
import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { BiographyCategoryModel } from '../../models/entity/biography/biographyCategoryModel';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { FilterModel } from '../../models/entity/base/filterModel';
import * as i0 from "@angular/core";
export declare class BiographyCategoryService extends ApiCmsServerBase<BiographyCategoryModel, number, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceMove(OldId: number, NewId: number): Observable<ErrorExceptionResult<BiographyCategoryModel>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<BiographyCategoryService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<BiographyCategoryService>;
}
