import { BiographyContentWithSimilarLocationPeriodDtoModel } from './../../models/dto/biography/biographyContentWithSimilarLocationPeriodDtoModel';
import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { FilterModel } from '../../models/entity/base/filterModel';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { BiographyContentModel } from '../../models/entity/biography/biographyContentModel';
import { Observable } from 'rxjs';
import { ScoreClickDtoModel } from '../../models/dto/core-main/scoreClickDtoModel';
import { ErrorExceptionResultBase } from '../../models/entity/base/errorExceptionResultBase';
import { BiographyContentWithDatePeriodEndDtoModel } from '../../models/dto/biography/biographyContentWithDatePeriodEndDtoModel';
import { BiographyContentWithSimilarDatePeriodEndDtoModel } from '../../models/dto/biography/biographyContentWithSimilarDatePeriodEndDtoModel';
import { BiographyContentWithSimilarDatePeriodStartDayAndMonthOfYearDtoModel } from '../../models/dto/biography/biographyContentWithSimilarDatePeriodStartDayAndMonthOfYearDtoModel';
import { BiographyContentWithSimilarDatePeriodStartDayOfYearDtoModel } from '../../models/dto/biography/biographyContentWithSimilarDatePeriodStartDayOfYearDtoModel';
import { BiographyContentWithSimilarDatePeriodStartDtoModel } from '../../models/dto/biography/biographyContentWithSimilarDatePeriodStartDtoModel';
import { BiographyContentWithSimilarDatePeriodStartMonthOfYearListDtoModel } from '../../models/dto/biography/biographyContentWithSimilarDatePeriodStartMonthOfYearListDtoModel';
import * as i0 from "@angular/core";
export declare class BiographyContentService extends ApiCmsServerBase<BiographyContentModel, number, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceGetAllWithHierarchyCategoryId(Id: number, model: FilterModel): Observable<ErrorExceptionResult<BiographyContentModel>>;
    ServiceGetAllWithSimilarsId(Id: number, model: FilterModel): Observable<ErrorExceptionResult<BiographyContentModel>>;
    ServiceGetAllWithTagId(Id: number, model: FilterModel): Observable<ErrorExceptionResult<BiographyContentModel>>;
    ServiceGetAllWithCategoryUseInContentId(Id: number, model: FilterModel): Observable<ErrorExceptionResult<BiographyContentModel>>;
    ServiceScoreClick(model: ScoreClickDtoModel): Observable<ErrorExceptionResultBase>;
    ServiceFavoriteAdd(Id: number): Observable<ErrorExceptionResultBase>;
    ServiceFavoriteRemove(Id: number): Observable<ErrorExceptionResultBase>;
    ServiceFavoriteList(model: FilterModel): Observable<ErrorExceptionResult<BiographyContentModel>>;
    ServiceGetAllWithSimilarLocationPeriodStart(model: BiographyContentWithSimilarLocationPeriodDtoModel): Observable<ErrorExceptionResult<BiographyContentModel>>;
    ServiceGetAllWithSimilarLocationPeriodEnd(model: BiographyContentWithSimilarLocationPeriodDtoModel): Observable<ErrorExceptionResult<BiographyContentModel>>;
    ServiceGetAllWithSimilarDatePeriodStartMonthOfYear(model: BiographyContentWithSimilarDatePeriodStartMonthOfYearListDtoModel): Observable<ErrorExceptionResult<BiographyContentModel>>;
    ServiceGetAllWithSimilarDatePeriodStart(model: BiographyContentWithSimilarDatePeriodStartDtoModel): Observable<ErrorExceptionResult<BiographyContentModel>>;
    ServiceGetAllWithSimilarDatePeriodStartDayOfYear(model: BiographyContentWithSimilarDatePeriodStartDayOfYearDtoModel): Observable<ErrorExceptionResult<BiographyContentModel>>;
    ServiceGetAllWithSimilarDatePeriodStartDayAndMonthOfYear(model: BiographyContentWithSimilarDatePeriodStartDayAndMonthOfYearDtoModel): Observable<ErrorExceptionResult<BiographyContentModel>>;
    ServiceGetAllGetAllWithSimilarDatePeriodEnd(model: BiographyContentWithSimilarDatePeriodEndDtoModel): Observable<ErrorExceptionResult<BiographyContentModel>>;
    ServiceGetAllGetAllWithDatePeriodEnd(model: BiographyContentWithDatePeriodEndDtoModel): Observable<ErrorExceptionResult<BiographyContentModel>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<BiographyContentService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<BiographyContentService>;
}
