import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { BiographyContentOtherInfoModel } from '../../models/entity/biography/biographyContentOtherInfoModel';
import { FilterModel } from '../../models/entity/base/filterModel';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class BiographyContentOtherInfoService extends ApiCmsServerBase<BiographyContentOtherInfoModel, number, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceAddBatch(model: BiographyContentOtherInfoModel[]): Observable<ErrorExceptionResult<BiographyContentOtherInfoModel>>;
    ServiceEditBatch(model: BiographyContentOtherInfoModel[]): Observable<ErrorExceptionResult<BiographyContentOtherInfoModel>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<BiographyContentOtherInfoService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<BiographyContentOtherInfoService>;
}
