import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { BiographyContentTagModel } from '../../models/entity/biography/biographyContentTagModel';
import { Observable } from 'rxjs';
import { FilterModel } from '../../models/entity/base/filterModel';
import { ErrorExceptionResultBase } from '../../models/entity/base/errorExceptionResultBase';
import * as i0 from "@angular/core";
export declare class BiographyContentTagService extends ApiCmsServerBase<BiographyContentTagModel, number, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceAddBatch(model: BiographyContentTagModel[]): Observable<ErrorExceptionResult<BiographyContentTagModel>>;
    ServiceDeleteBatch(model: BiographyContentTagModel[]): Observable<ErrorExceptionResultBase>;
    static ɵfac: i0.ɵɵFactoryDeclaration<BiographyContentTagService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<BiographyContentTagService>;
}
