import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { FilterModel } from '../../models/entity/base/filterModel';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { BlogContentModel } from '../../models/entity/blog/blogContentModel';
import { Observable } from 'rxjs';
import { ScoreClickDtoModel } from '../../models/dto/core-main/scoreClickDtoModel';
import { ErrorExceptionResultBase } from '../../models/entity/base/errorExceptionResultBase';
import { CoreModuleReportAbuseDtoModel } from '../../models/dto/core-module/coreModuleReportAbuseDtoModel';
import * as i0 from "@angular/core";
export declare class BlogContentService extends ApiCmsServerBase<BlogContentModel, number, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceGetAllWithHierarchyCategoryId(Id: number, model: FilterModel): Observable<ErrorExceptionResult<BlogContentModel>>;
    ServiceGetAllWithSimilarsId(Id: number, model: FilterModel): Observable<ErrorExceptionResult<BlogContentModel>>;
    ServiceGetAllWithTagId(Id: number, model: FilterModel): Observable<ErrorExceptionResult<BlogContentModel>>;
    ServiceGetAllWithCategoryUseInContentId(Id: number, model: FilterModel): Observable<ErrorExceptionResult<BlogContentModel>>;
    ServiceScoreClick(model: ScoreClickDtoModel): Observable<ErrorExceptionResultBase>;
    ServiceFavoriteAdd(Id: number): Observable<ErrorExceptionResultBase>;
    ServiceFavoriteRemove(Id: number): Observable<ErrorExceptionResultBase>;
    ServiceFavoriteList(model: FilterModel): Observable<ErrorExceptionResult<BlogContentModel>>;
    ServiceReportAbuseAdd(model: CoreModuleReportAbuseDtoModel): Observable<ErrorExceptionResult<BlogContentModel>>;
    ServiceReportAbuseList(model: FilterModel): Observable<ErrorExceptionResult<BlogContentModel>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<BlogContentService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<BlogContentService>;
}
