import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { BlogContentSimilarModel } from '../../models/entity/blog/blogContentSimilarModel';
import { FilterModel } from '../../models/entity/base/filterModel';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { Observable } from 'rxjs';
import { ErrorExceptionResultBase } from '../../models/entity/base/errorExceptionResultBase';
import * as i0 from "@angular/core";
export declare class BlogContentSimilarService extends ApiCmsServerBase<BlogContentSimilarModel, number, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceAddBatch(model: BlogContentSimilarModel[]): Observable<ErrorExceptionResult<BlogContentSimilarModel>>;
    ServiceDeleteBatch(model: BlogContentSimilarModel[]): Observable<ErrorExceptionResultBase>;
    static ɵfac: i0.ɵɵFactoryDeclaration<BlogContentSimilarService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<BlogContentSimilarService>;
}
