import { Observable } from 'rxjs';
import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { ChartCategoryModel } from '../../models/entity/chart/chartCategoryModel';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { FilterModel } from '../../models/entity/base/filterModel';
import * as i0 from "@angular/core";
export declare class ChartCategoryService extends ApiCmsServerBase<ChartCategoryModel, number, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceMove(OldId: number, NewId: number): Observable<ErrorExceptionResult<ChartCategoryModel>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ChartCategoryService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ChartCategoryService>;
}
