import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { CoreGuideModel } from '../../models/entity/core-main/coreGuideModel';
import { FilterModel } from '../../models/entity/base/filterModel';
import { Observable } from 'rxjs';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { ErrorExceptionResultBase } from '../../models/entity/base/errorExceptionResultBase';
import { EditStepDtoModel } from '../../models/dto/core-main/editStepDtoModel';
import * as i0 from "@angular/core";
export declare class CoreGuideService extends ApiCmsServerBase<CoreGuideModel, number, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceGetAllTree(model: FilterModel): Observable<ErrorExceptionResult<CoreGuideModel>>;
    ServiceEditStep(model: EditStepDtoModel<number>): Observable<ErrorExceptionResultBase>;
    ServiceGetOneByKey(key: string): Observable<ErrorExceptionResult<CoreGuideModel>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreGuideService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CoreGuideService>;
}
