import { Observable } from 'rxjs';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { FilterModel } from '../../models/entity/base/filterModel';
import { CoreModuleModel } from '../../models/entity/core-main/coreModuleModel';
import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { ErrorExceptionResultBase } from '../../models/entity/base/errorExceptionResultBase';
import { EditStepDtoModel } from '../../models/dto/core-main/editStepDtoModel';
import * as i0 from "@angular/core";
export declare class CoreModuleService extends ApiCmsServerBase<CoreModuleModel, number, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceEditStep(model: EditStepDtoModel<number>): Observable<ErrorExceptionResultBase>;
    ServiceAutoAdd(): Observable<ErrorExceptionResult<CoreModuleModel>>;
    ServiceConfig(MoudleClassName: string): Observable<ErrorExceptionResult<CoreModuleModel>>;
    ServiceGetOneWithModuleConfig(model: FilterModel): Observable<ErrorExceptionResult<CoreModuleModel>>;
    ServiceGetViewModelWithModuleConfig(id: number): Observable<ErrorExceptionResult<CoreModuleModel>>;
    ServiceGetAllModuleName(model: FilterModel): Observable<ErrorExceptionResult<CoreModuleModel>>;
    ServiceGetAllByCategorySiteId(CategorySiteId: number, model: FilterModel): Observable<ErrorExceptionResult<CoreModuleModel>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreModuleService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CoreModuleService>;
}
