import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { FilterModel } from '../../models/entity/base/filterModel';
import { CoreModuleSaleHeaderModel } from '../../models/entity/core-main/coreModuleSaleHeaderModel';
import { CoreModuleSaleInvoiceDetailModel } from '../../models/entity/core-main/coreModuleSaleInvoiceDetailModel';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { Observable } from 'rxjs';
import { CoreModuleSaleHeaderCalculateDtoModel } from '../../models/dto/core-main/coreModuleSaleHeaderCalculateDtoModel';
import { CoreModuleSaleHeaderPaymentDtoModel } from '../../models/dto/core-main/coreModuleSaleHeaderPaymentDtoModel';
import { BankPaymentInjectPaymentGotoBankStep2LandingSitePageModel } from '../../models/dto/bankPayment/bankPaymentInjectPaymentGotoBankStep2LandingSitePageModel';
import { BankPaymentInjectPaymentGotoBankStep1CalculateModel } from '../../models/dto/bankPayment/bankPaymentInjectPaymentGotoBankStep1CalculateModel';
import * as i0 from "@angular/core";
export declare class CoreModuleSaleHeaderService extends ApiCmsServerBase<CoreModuleSaleHeaderModel, number, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceGetAllSale(model: FilterModel): Observable<ErrorExceptionResult<CoreModuleSaleHeaderModel>>;
    ServiceCheckUseHeaderForSite(id: number): Observable<ErrorExceptionResult<CoreModuleSaleInvoiceDetailModel>>;
    ServiceOrderCalculate(model: CoreModuleSaleHeaderCalculateDtoModel): Observable<ErrorExceptionResult<BankPaymentInjectPaymentGotoBankStep1CalculateModel>>;
    ServiceOrderPayment(model: CoreModuleSaleHeaderPaymentDtoModel): Observable<ErrorExceptionResult<BankPaymentInjectPaymentGotoBankStep2LandingSitePageModel>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreModuleSaleHeaderService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CoreModuleSaleHeaderService>;
}
