import { Observable } from 'rxjs';
import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { FilterModel } from '../../models/entity/base/filterModel';
import { CoreModuleSiteModel } from '../../models/entity/core-main/coreModuleSiteModel';
import * as i0 from "@angular/core";
export declare class CoreModuleSiteService extends ApiCmsServerBase<CoreModuleSiteModel, number, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceConfigSite(model: CoreModuleSiteModel): Observable<ErrorExceptionResult<CoreModuleSiteModel>>;
    ServiceEditConfigSite(model: CoreModuleSiteModel): Observable<ErrorExceptionResult<CoreModuleSiteModel>>;
    ServiceGetAllById(id: number, model: FilterModel): Observable<ErrorExceptionResult<CoreModuleSiteModel>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreModuleSiteService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CoreModuleSiteService>;
}
