import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { FilterModel } from '../../models/entity/base/filterModel';
import { CoreModuleDataCommentModel } from '../../models/entity/core-module-data/coreModuleDataCommentModel';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { Observable } from 'rxjs';
import { CoreModuleDataCommentDtoModel } from '../../models/dto/core-module/coreModuleDataCommentDtoModel';
import * as i0 from "@angular/core";
export declare class CoreModuleDataCommentService extends ApiCmsServerBase<CoreModuleDataCommentModel, string, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceAddComment(model: CoreModuleDataCommentDtoModel): Observable<ErrorExceptionResult<CoreModuleDataCommentModel>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreModuleDataCommentService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CoreModuleDataCommentService>;
}
