import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { FilterModel } from '../../models/entity/base/filterModel';
import { CoreModuleDataMemoModel } from '../../models/entity/core-module-data/coreModuleDataMemoModel';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { Observable } from 'rxjs';
import { CoreModuleDataMemoDtoModel } from '../../models/dto/core-module/coreModuleDataMemoDtoModel';
import * as i0 from "@angular/core";
export declare class CoreModuleDataMemoService extends ApiCmsServerBase<CoreModuleDataMemoModel, string, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceAddMemo(model: CoreModuleDataMemoDtoModel): Observable<ErrorExceptionResult<CoreModuleDataMemoModel>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreModuleDataMemoService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CoreModuleDataMemoService>;
}
