import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { FilterModel } from '../../models/entity/base/filterModel';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { Observable } from 'rxjs';
import { CoreModuleDataPinDtoModel } from '../../models/dto/core-module/coreModuleDataPinDtoModel';
import { CoreModuleDataPinModel } from '../../models/entity/core-module-data/coreModuleDataPinModel';
import * as i0 from "@angular/core";
export declare class CoreModuleDataPinService extends ApiCmsServerBase<CoreModuleDataPinModel, string, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceAddPin(model: CoreModuleDataPinDtoModel): Observable<ErrorExceptionResult<CoreModuleDataPinModel>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreModuleDataPinService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CoreModuleDataPinService>;
}
