import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { FilterModel } from '../../models/entity/base/filterModel';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { Observable } from 'rxjs';
import { CoreModuleDataTaskDtoModel } from '../../models/dto/core-module/coreModuleDataTaskDtoModel';
import { CoreModuleDataTaskModel } from '../../models/entity/core-module-data/coreModuleDataTaskModel';
import * as i0 from "@angular/core";
export declare class CoreModuleDataTaskService extends ApiCmsServerBase<CoreModuleDataTaskModel, string, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceAddTask(model: CoreModuleDataTaskDtoModel): Observable<ErrorExceptionResult<CoreModuleDataTaskModel>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreModuleDataTaskService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CoreModuleDataTaskService>;
}
