import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { FilterModel } from '../../models/entity/base/filterModel';
import { CoreModuleLogShowKeyModel } from '../../models/entity/core-module-log/coreModuleLogShowKeyModel';
import { CoreModuleShowKeyDtoModel } from '../../models/dto/core-module/coreModuleShowKeyDtoModel';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class CoreModuleLogShowKeyService extends ApiCmsServerBase<CoreModuleLogShowKeyModel, string, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceAddShowKey(model: CoreModuleShowKeyDtoModel): Observable<ErrorExceptionResult<CoreModuleLogShowKeyModel>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreModuleLogShowKeyService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CoreModuleLogShowKeyService>;
}
