import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { CoreModuleSiteCreditModel } from '../../models/entity/core-module-main/coreModuleSiteCreditModel';
import { FilterModel } from '../../models/entity/base/filterModel';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { Observable } from 'rxjs';
import { CoreModuleSiteCreditCalculateDtoModel } from '../../models/dto/core-module/coreModuleSiteCreditCalculateDtoModel';
import { BankPaymentInjectPaymentGotoBankStep1CalculateModel } from '../../models/dto/bankPayment/bankPaymentInjectPaymentGotoBankStep1CalculateModel';
import { CoreModuleSiteCreditPaymentDtoModel } from '../../models/dto/core-module/coreModuleSiteCreditPaymentDtoModel';
import { BankPaymentInjectPaymentGotoBankStep2LandingSitePageModel } from '../../models/dto/bankPayment/bankPaymentInjectPaymentGotoBankStep2LandingSitePageModel';
import { CoreModuleSiteCreditChargeDirectDtoModel } from '../../models/dto/core-module/coreModuleSiteCreditChargeDirectDtoModel';
import * as i0 from "@angular/core";
export declare class CoreModuleSiteCreditService extends ApiCmsServerBase<CoreModuleSiteCreditModel, number, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceGetCredit(LinkModuleId: number): Observable<ErrorExceptionResult<CoreModuleSiteCreditModel>>;
    ServiceGetAllCredit(): Observable<ErrorExceptionResult<CoreModuleSiteCreditModel>>;
    ServiceChargeDirect(model: CoreModuleSiteCreditChargeDirectDtoModel): Observable<ErrorExceptionResult<CoreModuleSiteCreditModel>>;
    ServiceOrderCalculate(model: CoreModuleSiteCreditCalculateDtoModel): Observable<ErrorExceptionResult<BankPaymentInjectPaymentGotoBankStep1CalculateModel>>;
    ServiceOrderPayment(model: CoreModuleSiteCreditPaymentDtoModel): Observable<ErrorExceptionResult<BankPaymentInjectPaymentGotoBankStep2LandingSitePageModel>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreModuleSiteCreditService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CoreModuleSiteCreditService>;
}
