import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { FilterModel } from '../../models/entity/base/filterModel';
import { DataProviderTransactionModel } from '../../models/entity/data-provider/dataProviderTransactionModel';
import { DataProviderModuleCalculateDtoModel } from '../../models/dto/data-provider/dataProviderModuleCalculateDtoModel';
import { DataProviderModulePaymentDtoModel } from '../../models/dto/data-provider/dataProviderModulePaymentDtoModel';
import { Observable } from 'rxjs';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { BankPaymentInjectPaymentGotoBankStep1CalculateModel } from '../../models/dto/bankPayment/bankPaymentInjectPaymentGotoBankStep1CalculateModel';
import { BankPaymentInjectPaymentGotoBankStep2LandingSitePageModel } from '../../models/dto/bankPayment/bankPaymentInjectPaymentGotoBankStep2LandingSitePageModel';
import * as i0 from "@angular/core";
export declare class DataProviderTransactionService extends ApiCmsServerBase<DataProviderTransactionModel, number, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceOrderCalculate(model: DataProviderModuleCalculateDtoModel): Observable<ErrorExceptionResult<BankPaymentInjectPaymentGotoBankStep1CalculateModel>>;
    ServiceOrderPayment(model: DataProviderModulePaymentDtoModel): Observable<ErrorExceptionResult<BankPaymentInjectPaymentGotoBankStep2LandingSitePageModel>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<DataProviderTransactionService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DataProviderTransactionService>;
}
