import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { FilterModel } from '../../models/entity/base/filterModel';
import { DonateTransactionModel } from '../../models/entity/donate/donateTransactionModel';
import { DonateModuleCalculateDtoModel } from '../../models/dto/donate/donateModuleCalculateDtoModel';
import { DonateModulePaymentDtoModel } from '../../models/dto/donate/donateModulePaymentDtoModel';
import { Observable } from 'rxjs';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { BankPaymentInjectPaymentGotoBankStep1CalculateModel } from '../../models/dto/bankPayment/bankPaymentInjectPaymentGotoBankStep1CalculateModel';
import { BankPaymentInjectPaymentGotoBankStep2LandingSitePageModel } from '../../models/dto/bankPayment/bankPaymentInjectPaymentGotoBankStep2LandingSitePageModel';
import * as i0 from "@angular/core";
export declare class DonateTransactionService extends ApiCmsServerBase<DonateTransactionModel, number, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceOrderCalculate(model: DonateModuleCalculateDtoModel): Observable<ErrorExceptionResult<BankPaymentInjectPaymentGotoBankStep1CalculateModel>>;
    ServiceOrderPayment(model: DonateModulePaymentDtoModel): Observable<ErrorExceptionResult<BankPaymentInjectPaymentGotoBankStep2LandingSitePageModel>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<DonateTransactionService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DonateTransactionService>;
}
