import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { FilterModel } from '../../models/entity/base/filterModel';
import { EstatePropertyDetailModel } from '../../models/entity/estate/estatePropertyDetailModel';
import { EditStepDtoModel } from '../../models/dto/core-main/editStepDtoModel';
import { Observable } from 'rxjs';
import { ErrorExceptionResultBase } from '../../models/entity/base/errorExceptionResultBase';
import * as i0 from "@angular/core";
export declare class EstatePropertyDetailService extends ApiCmsServerBase<EstatePropertyDetailModel, string, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceEditStep(model: EditStepDtoModel<string>): Observable<ErrorExceptionResultBase>;
    static ɵfac: i0.ɵɵFactoryDeclaration<EstatePropertyDetailService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<EstatePropertyDetailService>;
}
