import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { FilterModel } from '../../models/entity/base/filterModel';
import { EstatePropertyShareSiteModel } from '../../models/entity/estate/estatePropertyShareSiteModel';
import { Observable } from 'rxjs';
import { ErrorExceptionResultBase } from '../../models/entity/base/errorExceptionResultBase';
import * as i0 from "@angular/core";
export declare class EstatePropertyShareSiteService extends ApiCmsServerBase<EstatePropertyShareSiteModel, string, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceJoinBySiteId(linkSitId: string, shareKey: string): Observable<ErrorExceptionResultBase>;
    ServiceJoin(shareKey: string): Observable<ErrorExceptionResultBase>;
    static ɵfac: i0.ɵɵFactoryDeclaration<EstatePropertyShareSiteService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<EstatePropertyShareSiteService>;
}
