import { Observable } from 'rxjs';
import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { FileCategoryModel } from '../../models/entity/file/fileCategoryModel';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { FilterModel } from '../../models/entity/base/filterModel';
import { FileCompressDtoModel } from '../../models/dto/file/fileCompressDtoModel';
import { ErrorExceptionResultBase } from '../../models/entity/base/errorExceptionResultBase';
import * as i0 from "@angular/core";
export declare class FileCategoryService extends ApiCmsServerBase<FileCategoryModel, number, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceGetAllInCategoryById(ParentId: number): Observable<ErrorExceptionResult<FileCategoryModel>>;
    ServiceCreateCompressDownload(model: FileCompressDtoModel): Observable<ErrorExceptionResultBase>;
    ServiceMove(OldId: number, NewId: number): Observable<ErrorExceptionResult<FileCategoryModel>>;
    ServiceOptimaze(): Observable<ErrorExceptionResultBase>;
    static ɵfac: i0.ɵɵFactoryDeclaration<FileCategoryService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<FileCategoryService>;
}
