import { FilterModel } from '../../models/entity/base/filterModel';
import { Observable } from 'rxjs';
import { BankPaymentInjectPaymentGotoBankStep1CalculateModel } from '../../models/dto/bankPayment/bankPaymentInjectPaymentGotoBankStep1CalculateModel';
import { BankPaymentInjectPaymentGotoBankStep2LandingSitePageModel } from '../../models/dto/bankPayment/bankPaymentInjectPaymentGotoBankStep2LandingSitePageModel';
import { HyperShopOrderCalculateDtoModel } from '../../models/dto/hyperShop/hyperShopOrderCalculateDtoModel';
import { HyperShopOrderPaymentDtoModel } from '../../models/dto/hyperShop/hyperShopOrderPaymentDtoModel';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { HyperShopOrderModel } from '../../models/entity/hyper-shop/hyperShopOrderModel';
import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import * as i0 from "@angular/core";
export declare class HyperShopOrderService extends ApiCmsServerBase<HyperShopOrderModel, number, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceOrderAdd(): Observable<ErrorExceptionResult<HyperShopOrderModel>>;
    ServiceOrderCalculate(model: HyperShopOrderCalculateDtoModel): Observable<ErrorExceptionResult<BankPaymentInjectPaymentGotoBankStep1CalculateModel>>;
    ServiceOrderPayment(model: HyperShopOrderPaymentDtoModel): Observable<ErrorExceptionResult<BankPaymentInjectPaymentGotoBankStep2LandingSitePageModel>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<HyperShopOrderService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<HyperShopOrderService>;
}
