import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { LinkManagementBillboardModel } from '../../models/entity/link-management/linkManagementBillboardModel';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { Observable } from 'rxjs';
import { LinkManagementBillboardFilterModel } from '../../models/filters/link-management/linkManagementBillboardFilterModel';
import * as i0 from "@angular/core";
export declare class LinkManagementBillboardService extends ApiCmsServerBase<LinkManagementBillboardModel, number, LinkManagementBillboardFilterModel> {
    getModuleControllerUrl(): string;
    ServiceGetOneByKey(key: string): Observable<ErrorExceptionResult<LinkManagementBillboardModel>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<LinkManagementBillboardService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<LinkManagementBillboardService>;
}
