import { Observable } from 'rxjs';
import { LinkManagementTargetShortLinkGetDtoModel } from '../../models/dto/link-management/linkManagementTargetShortLinkGetDtoModel';
import { LinkManagementTargetShortLinkGetResponceModel } from '../../models/dto/link-management/linkManagementTargetShortLinkGetResponceModel';
import { LinkManagementTargetShortLinkSetDtoModel } from '../../models/dto/link-management/linkManagementTargetShortLinkSetDtoModel';
import { LinkManagementTargetShortLinkSetResponceModel } from '../../models/dto/link-management/linkManagementTargetShortLinkSetResponceModel';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { LinkManagementTargetModel } from '../../models/entity/link-management/linkManagementTargetModel';
import { LinkManagementTargetFilterModel } from '../../models/filters/link-management/linkManagementTargetFilterModel';
import * as i0 from "@angular/core";
export declare class LinkManagementTargetService extends ApiCmsServerBase<LinkManagementTargetModel, number, LinkManagementTargetFilterModel> {
    getModuleControllerUrl(): string;
    ServiceGetOneByKey(key: string): Observable<ErrorExceptionResult<LinkManagementTargetShortLinkGetResponceModel>>;
    ServiceShortLinkSet(model: LinkManagementTargetShortLinkSetDtoModel): Observable<ErrorExceptionResult<LinkManagementTargetShortLinkSetResponceModel>>;
    ServiceShortLinkGet(model: LinkManagementTargetShortLinkGetDtoModel): Observable<ErrorExceptionResult<LinkManagementTargetShortLinkGetResponceModel>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<LinkManagementTargetService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<LinkManagementTargetService>;
}
