import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { FilterModel } from '../../models/entity/base/filterModel';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { NewsContentModel } from '../../models/entity/news/newsContentModel';
import { Observable } from 'rxjs';
import { ScoreClickDtoModel } from '../../models/dto/core-main/scoreClickDtoModel';
import { ErrorExceptionResultBase } from '../../models/entity/base/errorExceptionResultBase';
import { CoreModuleReportAbuseDtoModel } from '../../models/dto/core-module/coreModuleReportAbuseDtoModel';
import * as i0 from "@angular/core";
export declare class NewsContentService extends ApiCmsServerBase<NewsContentModel, number, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceGetAllWithHierarchyCategoryId(Id: number, model: FilterModel): Observable<ErrorExceptionResult<NewsContentModel>>;
    ServiceGetAllWithSimilarsId(Id: number, model: FilterModel): Observable<ErrorExceptionResult<NewsContentModel>>;
    ServiceGetAllWithTagId(Id: number, model: FilterModel): Observable<ErrorExceptionResult<NewsContentModel>>;
    ServiceGetAllWithCategoryUseInContentId(Id: number, model: FilterModel): Observable<ErrorExceptionResult<NewsContentModel>>;
    ServiceScoreClick(model: ScoreClickDtoModel): Observable<ErrorExceptionResultBase>;
    ServiceFavoriteAdd(Id: number): Observable<ErrorExceptionResultBase>;
    ServiceFavoriteRemove(Id: number): Observable<ErrorExceptionResultBase>;
    ServiceFavoriteList(model: FilterModel): Observable<ErrorExceptionResult<NewsContentModel>>;
    ServiceReportAbuseAdd(model: CoreModuleReportAbuseDtoModel): Observable<ErrorExceptionResult<NewsContentModel>>;
    ServiceReportAbuseList(model: FilterModel): Observable<ErrorExceptionResult<NewsContentModel>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<NewsContentService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NewsContentService>;
}
