import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { NewsContentSimilarModel } from '../../models/entity/news/newsContentSimilarModel';
import { FilterModel } from '../../models/entity/base/filterModel';
import { Observable } from 'rxjs';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { ErrorExceptionResultBase } from '../../models/entity/base/errorExceptionResultBase';
import * as i0 from "@angular/core";
export declare class NewsContentSimilarService extends ApiCmsServerBase<NewsContentSimilarModel, number, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceAddBatch(model: NewsContentSimilarModel[]): Observable<ErrorExceptionResult<NewsContentSimilarModel>>;
    ServiceDeleteBatch(model: NewsContentSimilarModel[]): Observable<ErrorExceptionResultBase>;
    static ɵfac: i0.ɵɵFactoryDeclaration<NewsContentSimilarService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NewsContentSimilarService>;
}
