import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { NewsContentTagModel } from '../../models/entity/news/newsContentTagModel';
import { Observable } from 'rxjs';
import { FilterModel } from '../../models/entity/base/filterModel';
import { ErrorExceptionResultBase } from '../../models/entity/base/errorExceptionResultBase';
import * as i0 from "@angular/core";
export declare class NewsContentTagService extends ApiCmsServerBase<NewsContentTagModel, number, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceAddBatch(model: NewsContentTagModel[]): Observable<ErrorExceptionResult<NewsContentTagModel>>;
    ServiceDeleteBatch(model: NewsContentTagModel[]): Observable<ErrorExceptionResultBase>;
    static ɵfac: i0.ɵɵFactoryDeclaration<NewsContentTagService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NewsContentTagService>;
}
