import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { SmsMainApiPathModel } from '../../models/entity/sms/smsMainApiPathModel';
import { FilterModel } from '../../models/entity/base/filterModel';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { Observable } from 'rxjs';
import { SmsApiSendResultModel } from '../../models/dto/sms/smsApiSendResultModel';
import { SmsMainApiPathAliasJsonModel } from '../../models/entity/sms/smsMainApiPathAliasJsonModel';
import { SmsApiSendMessageDtoModel } from '../../models/dto/sms/smsApiSendMessageDtoModel';
import { SmsApiSendMessageTestDtoModel } from '../../models/dto/sms/smsApiSendMessageTestDtoModel';
import * as i0 from "@angular/core";
export declare class SmsMainApiPathService extends ApiCmsServerBase<SmsMainApiPathModel, string, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceGetOneWithJsonFormatter(id: string): Observable<ErrorExceptionResult<SmsMainApiPathAliasJsonModel>>;
    ServiceSendMessageTest(model: SmsApiSendMessageTestDtoModel): Observable<ErrorExceptionResult<SmsApiSendResultModel>>;
    ServiceSendMessage(model: SmsApiSendMessageDtoModel): Observable<ErrorExceptionResult<SmsApiSendResultModel>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SmsMainApiPathService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SmsMainApiPathService>;
}
