import { TicketingTaskDtoModel } from './../../models/dto/ticketing/ticketingTaskDtoModel';
import { Observable } from 'rxjs';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { TicketingTaskModel } from '../../models/entity/ticketing/ticketingTaskModel';
import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { FilterModel } from '../../models/entity/base/filterModel';
import { ErrorExceptionResultBase } from '../../models/entity/base/errorExceptionResultBase';
import * as i0 from "@angular/core";
export declare class TicketingTaskService extends ApiCmsServerBase<TicketingTaskModel, number, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceContactUS(model: TicketingTaskDtoModel): Observable<ErrorExceptionResult<TicketingTaskModel>>;
    ServiceTaskReaded(id: number): Observable<ErrorExceptionResultBase>;
    ServiceisClosed(id: number): Observable<ErrorExceptionResultBase>;
    static ɵfac: i0.ɵɵFactoryDeclaration<TicketingTaskService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TicketingTaskService>;
}
