import { Observable } from 'rxjs';
import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { FilterModel } from '../../models/entity/base/filterModel';
import { UniversalMenuMenuItemModel } from '../../models/entity/universal-menu/universalMenuMenuItemModel';
import { ErrorExceptionResultBase } from '../../models/entity/base/errorExceptionResultBase';
import { EditStepDtoModel } from '../../models/dto/core-main/editStepDtoModel';
import * as i0 from "@angular/core";
export declare class UniversalMenuMenuItemService extends ApiCmsServerBase<UniversalMenuMenuItemModel, number, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceGetAllMenu(model: FilterModel): Observable<ErrorExceptionResult<UniversalMenuMenuItemModel>>;
    ServiceEditStep(model: EditStepDtoModel<number>): Observable<ErrorExceptionResultBase>;
    static ɵfac: i0.ɵɵFactoryDeclaration<UniversalMenuMenuItemService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<UniversalMenuMenuItemService>;
}
