import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { FilterModel } from '../../models/entity/base/filterModel';
import { WebDesignerMainMenuModel } from '../../models/entity/web-designer/webDesignerMainMenuModel';
import { Observable } from 'rxjs';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { EditStepDtoModel } from '../../models/dto/core-main/editStepDtoModel';
import { ErrorExceptionResultBase } from '../../models/entity/base/errorExceptionResultBase';
import * as i0 from "@angular/core";
export declare class WebDesignerMainMenuService extends ApiCmsServerBase<WebDesignerMainMenuModel, string, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceGetAllTree(model: FilterModel): Observable<ErrorExceptionResult<WebDesignerMainMenuModel>>;
    ServiceEditStep(model: EditStepDtoModel<string>): Observable<ErrorExceptionResultBase>;
    static ɵfac: i0.ɵɵFactoryDeclaration<WebDesignerMainMenuService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<WebDesignerMainMenuService>;
}
