import { CmsPageUtilityToolsDtoModel } from '../../models/dto/webDesigner/cmsPageUtilityToolsDtoModel';
import { Observable } from 'rxjs';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { FilterModel } from '../../models/entity/base/filterModel';
import { WebDesignerMainPageModel } from '../../models/entity/web-designer/webDesignerMainPageModel';
import { ErrorExceptionResultBase } from '../../models/entity/base/errorExceptionResultBase';
import { GetAllDefaultPagesBySiteCategoryDtoModel } from '../../models/dto/webDesigner/getAllDefaultPagesBySiteCategoryDtoModel';
import { WebDesignerPageAutoAddDtoModel } from '../../models/dto/webDesigner/webDesignerPageAutoAddDtoModel';
import * as i0 from "@angular/core";
export declare class WebDesignerMainPageService extends ApiCmsServerBase<WebDesignerMainPageModel, string, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceAutoAdd(model: WebDesignerPageAutoAddDtoModel): Observable<ErrorExceptionResultBase>;
    ServiceWebScreenshot(id: string): Observable<ErrorExceptionResultBase>;
    ServiceWebRoute(id: string): Observable<ErrorExceptionResult<string>>;
    ServiceGetAllDefaultPagesBySiteCategory(model: GetAllDefaultPagesBySiteCategoryDtoModel): Observable<ErrorExceptionResult<WebDesignerMainPageModel>>;
    ServiceSetDefaultAdminValuePage(id: string): Observable<ErrorExceptionResultBase>;
    ServiceUtilityTools(model: CmsPageUtilityToolsDtoModel): Observable<ErrorExceptionResult<WebDesignerMainPageModel>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<WebDesignerMainPageService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<WebDesignerMainPageService>;
}
