import { Observable } from 'rxjs';
import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { FilterModel } from '../../models/entity/base/filterModel';
import { WebDesignerMainPageDependencyModel } from '../../models/entity/web-designer/webDesignerMainPageDependencyModel';
import { ErrorExceptionResultBase } from '../../models/entity/base/errorExceptionResultBase';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import * as i0 from "@angular/core";
export declare class WebDesignerMainPageDependencyService extends ApiCmsServerBase<WebDesignerMainPageDependencyModel, string, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceAutoAdd(): Observable<ErrorExceptionResultBase>;
    ServiceWebRoute(id: string): Observable<ErrorExceptionResult<string>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<WebDesignerMainPageDependencyService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<WebDesignerMainPageDependencyService>;
}
