import { MessageTypeEnum } from "../../enums/api-telegram/messageTypeEnum";
import { BaseModuleEntity } from "../base/baseModuleEntity";
export declare class ApiTelegramLogOutputModel extends BaseModuleEntity<string> {
    chatId: number;
    linkLogInput?: number;
    messageType: MessageTypeEnum;
    linkUniversalProcessId: number;
    linkUniversalProcessIdFollowAnswer?: number;
    linkUniversalMenuId?: number;
    linkUniversalMenuIdLevel?: number;
    linkBotConfigId: number;
    contentMessage: string;
    contentResult: string;
    expectReply: boolean;
    parameters: string;
}
