import { RecordStatusEnum } from '../../enums/base/recordStatusEnum';
export declare class BaseEntity<TKey> {
    id: TKey;
    createdDate: Date;
    createdBy: number;
    updatedDate: Date;
    updatedBy: number;
    recordStatus: RecordStatusEnum;
    antiInjectionRun: boolean;
    antiInjectionGuid: string;
    antiInjectionDate: Date;
    antiInjectionTokenActionState: boolean;
    antiInjectionExpiredMinute: number;
    antiInjectionToken: string;
    antiInjectionExpireDate: Date;
}
