import { RecordStatusEnum } from '../../enums/base/recordStatusEnum';
import { BaseModuleConfigAdminMainValuesModel } from '../base-config/baseModuleConfigAdminMainValuesModel';
import { BaseModuleConfigSiteAccessValuesModel } from '../base-config/baseModuleConfigSiteAccessValuesModel';
import { BaseModuleConfigSiteValuesModel } from '../base-config/baseModuleConfigSiteValuesModel';
import { BaseModuleSiteStorageValuesModel } from '../base-config/baseModuleSiteStorageValuesModel';
export declare class CoreModuleConfigAdminMainValuesModel extends BaseModuleConfigAdminMainValuesModel {
    domainsList: string;
    adminCpUserRegidteryBool: boolean;
    adminCpUserRegidteryExpireDateDay: number;
    userMembershipRuleHtmlBody: string;
}
export declare class CoreModuleConfigSiteAccessValuesModel extends BaseModuleConfigSiteAccessValuesModel {
    maxAdminCpUserCreation: number;
    maxUserCreation: number;
    domainsList: string;
}
export declare class CoreModuleConfigSiteValuesModel extends BaseModuleConfigSiteValuesModel {
    domainsGoogleSitekey: string;
    domainsGoogleSecretkey: string;
    userRegidteryBool: boolean;
    userRegidteryRecordStatus: RecordStatusEnum;
    userRegidteryExpireDateDay: number;
    rssCount: number;
}
export declare class CoreModuleSiteStorageValuesModel extends BaseModuleSiteStorageValuesModel {
    adminCpUserCreation: number;
    userCreation: number;
}
