import { LocationTypeEnum } from '../../enums/base/locationTypeEnum';
import { BaseEntity } from '../base/baseEntity';
export declare class CoreLocationModel extends BaseEntity<number> {
    title: string;
    titleML: string;
    titleResourceLanguage: string;
    linkParentId?: number;
    linkParentIdNode: string;
    geoLocationLatitude: string;
    geoLocationLongitude: string;
    locationType: LocationTypeEnum;
    virtual_Parent: CoreLocationModel;
    parent: CoreLocationModel;
    children: CoreLocationModel[];
    linkImageId?: number;
    linkImageIdSrc: string;
}
