import { BaseModuleEntity } from '../base/baseModuleEntity';
import { DonateSponsorModel } from './donateSponsorModel';
import { DonateTargetPeriodModel } from './donateTargetPeriodModel';
export declare class DonateTransactionModel extends BaseModuleEntity<number> {
    linkCmsUserId?: number;
    linkSponsorId?: number;
    sponsor: DonateSponsorModel;
    virtual_Sponsor: DonateSponsorModel;
    linkTargetPeriodId: number;
    targetPeriod: DonateTargetPeriodModel;
    virtual_TargetPeriod: DonateTargetPeriodModel;
    systemTransactionId: number;
    systemPaymentIsSuccess: number;
    name: string;
    family: string;
    mobile: string;
    geoLocationLatitude?: number;
    geoLocationLongitude?: number;
    address: string;
    amountPure: number;
    feeTransport: number;
    feeTax: number;
    amount: number;
}
