import { SortTypeEnum } from '../../enums/base/sortTypeEnum';
import { BaseModuleEntity } from '../base/baseModuleEntity';
export declare class EstateBillboardModel extends BaseModuleEntity<string> {
    title: string;
    description: string;
    descriptionHidden: string;
    includeAllSite: boolean;
    speedView: number;
    reloadViewPerMin: number;
    linkPropertyIds: string[];
    linkLocationIds: number[];
    linkPropertyTypeLanduseIds: string[];
    linkPropertyTypeUsageIds: string[];
    linkContractTypeIds: string[];
    linkMainImageId?: number;
    linkMainImageIdSrc: string;
    urlViewContent: string;
    urlViewContentShort: string;
    urlViewContentQRCodeBase64: string;
    linkCoreCurrencyId: number;
    currencyTitle: string;
    currencySymbol: string;
    resultSortColumn: string;
    resultSortType: SortTypeEnum;
}
