import { BaseModuleEntity } from '../base/baseModuleEntity';
export declare class EstateContractTypeModel extends BaseModuleEntity<string> {
    title: string;
    titleML: string;
    titleResourceLanguage: string;
    orderTitle: string;
    orderTitleML: string;
    orderTitleResourceLanguage: string;
    contentCount: number;
    allowPriceInquiryCalculate: boolean;
    titleSoldIt: string;
    titleSoldItML: string;
    titleSoldItResourceLanguage: string;
    description: string;
    hasSalePrice: boolean;
    hasRentPrice: boolean;
    hasDepositPrice: boolean;
    hasPeriodPrice: boolean;
    titleSalePrice: string;
    titleSalePriceML: string;
    titleSalePriceResourceLanguage: string;
    titleRentPrice: string;
    titleRentPriceML: string;
    titleRentPriceResourceLanguage: string;
    titleDepositPrice: string;
    titleDepositPriceML: string;
    titleDepositPriceResourceLanguage: string;
    titlePeriodPrice: string;
    titlePeriodPriceML: string;
    titlePeriodPriceResourceLanguage: string;
    salePriceAllowAgreement: boolean;
    rentPriceAllowAgreement: boolean;
    rentPriceAllowPriodCount: boolean;
    rentPricePriodTitle: string;
    rentPricePriodTitleML: string;
    rentPricePriodTitleResourceLanguage: string;
    depositPriceAllowAgreement: boolean;
    periodPriceAllowAgreement: boolean;
}
