import { BaseModuleEntity } from '../base/baseModuleEntity';
import { LinkManagementBillboardCategoryModel } from './linkManagementBillboardCategoryModel';
import { LinkManagementBillboardPatternModel } from './linkManagementBillboardPatternModel';
import { LinkManagementMemberModel } from './linkManagementMemberModel';
export declare class LinkManagementBillboardModel extends BaseModuleEntity<number> {
    title: string;
    bgColor: string;
    currentClickCount: number;
    currentViewCount: number;
    fromDate?: Date;
    linkMainImageId?: number;
    linkFileIds: string;
    linkManagementMemberId?: number;
    virtual_Member: LinkManagementMemberModel;
    member: LinkManagementMemberModel;
    linkBillboardPatternId: number;
    virtual_BillboardPattern: LinkManagementBillboardPatternModel;
    billboardPattern: LinkManagementBillboardPatternModel;
    billboardCategories: LinkManagementBillboardCategoryModel[];
    linkMainImageIdSrc: string;
    linkFileIdsSrc: string[];
    billboardScript: string;
}
