import { InputDataTypeEnum } from '../../enums/core/inputDataTypeEnum';
import { UiPropertyDesignEnum } from '../../enums/member/uiPropertyDesignEnum';
import { BaseModuleEntity } from '../base/baseModuleEntity';
import { MemberPropertyDetailGroupModel } from './memberPropertyDetailGroupModel';
import { MemberPropertyTypeModel } from './memberPropertyTypeModel';
export declare class MemberPropertyDetailModel extends BaseModuleEntity<number> {
    title: string;
    iconFont: string;
    inputDataType: InputDataTypeEnum;
    unit: string;
    invisibleForEndUser: boolean;
    invisibleForSubmiter: boolean;
    required: boolean;
    isHistoryable: boolean;
    isSearchable: boolean;
    linkPropertyDetailGroupId: number;
    virtual_PropertyDetailGroup: MemberPropertyDetailGroupModel;
    linkPropertyTypeId: number;
    virtual_PropertyType: MemberPropertyTypeModel;
    showInFormOrder: number;
    jsonDefaultValue: string;
    uiDesignType: UiPropertyDesignEnum;
    uiDesignColor: string;
}
