import { SmsMessageTypeEnum } from '../../enums/sms/smsMessageTypeEnum';
import { SmsOutBoxTypeEnum } from '../../enums/sms/smsOutBoxTypeEnum';
import { BaseModuleEntity } from '../base/baseModuleEntity';
import { SmsMainApiPathModel } from './smsMainApiPathModel';
export declare class SmsMainApiPathPriceServiceModel extends BaseModuleEntity<string> {
    linkApiPathId: string;
    linkCoreUserId?: number;
    linkCoreSiteId?: number;
    linkCoreUserGroupId?: number;
    linkCoreSiteCategoryId?: number;
    regulatorNumber: string;
    servicePrice: number;
    endUserPrice: number;
    messageLength: number;
    messageType: SmsMessageTypeEnum;
    outBoxType: SmsOutBoxTypeEnum;
    userVoicePrice: number;
    virtual_ApiPath: SmsMainApiPathModel;
    apiPath: SmsMainApiPathModel;
}
