export declare enum MessageTypeEnum {
    unknown = 0,
    text = 1,
    photo = 2,
    audio = 3,
    video = 4,
    voice = 5,
    document = 6,
    sticker = 7,
    location = 8,
    contact = 9,
    venue = 10,
    game = 11,
    videoNote = 12,
    invoice = 13,
    successfulPayment = 14,
    websiteConnected = 15,
    chatMembersAdded = 16,
    chatMemberLeft = 17,
    chatTitleChanged = 18,
    chatPhotoChanged = 19,
    messagePinned = 20,
    chatPhotoDeleted = 21,
    groupCreated = 22,
    supergroupCreated = 23,
    channelCreated = 24,
    migratedToSupergroup = 25,
    migratedFromGroup = 26,
    poll = 27,
    dice = 28,
    messageAutoDeleteTimerChanged = 29,
    proximityAlertTriggered = 30,
    voiceChatScheduled = 31,
    voiceChatStarted = 32,
    voiceChatEnded = 33,
    voiceChatParticipantsInvited = 34
}
