import { ApplicationScoreDtoModel } from '../../models/dto/application/applicationScoreDtoModel';
import { ApplicationAppModel } from '../../models/entity/application/applicationAppModel';
import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { ErrorExceptionResultBase } from '../../models/entity/base/errorExceptionResultBase';
import { Observable } from 'rxjs';
import { FilterModel } from '../../models/entity/base/filterModel';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { BuilderInfoStatusDtoModel } from '../../models/dto/application/builderInfoStatusDtoModel';
import { UploadApplictionDtoModel } from '../../models/dto/application/uploadApplictionDtoModel';
import { ScoreClickInfoModel } from '../../models/dto/application/scoreClickInfoModel';
import * as i0 from "@angular/core";
export declare class ApplicationAppService extends ApiCmsServerBase<ApplicationAppModel, number, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceScoreClick(model: ApplicationScoreDtoModel): Observable<ErrorExceptionResultBase>;
    ServiceScoreClickList(model: FilterModel): Observable<ErrorExceptionResult<ScoreClickInfoModel>>;
    ServiceCurrentApp(): Observable<ErrorExceptionResult<ApplicationAppModel>>;
    ServiceBuild(id: number): Observable<ErrorExceptionResult<ApplicationAppModel>>;
    ServiceBuildInfo(id: number, key: string): Observable<ErrorExceptionResult<ApplicationAppModel>>;
    ServiceBuildInfoSet(model: BuilderInfoStatusDtoModel): Observable<ErrorExceptionResultBase>;
    ServiceUploadUpdate(model: UploadApplictionDtoModel): Observable<ErrorExceptionResult<ApplicationAppModel>>;
    ServiceUpload(model: UploadApplictionDtoModel): Observable<ErrorExceptionResult<ApplicationAppModel>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ApplicationAppService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ApplicationAppService>;
}
