import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { ArticleContentSimilarModel } from '../../models/entity/article/articleContentSimilarModel';
import { FilterModel } from '../../models/entity/base/filterModel';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { Observable } from 'rxjs';
import { ErrorExceptionResultBase } from '../../models/entity/base/errorExceptionResultBase';
import * as i0 from "@angular/core";
export declare class ArticleContentSimilarService extends ApiCmsServerBase<ArticleContentSimilarModel, number, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceAddBatch(model: ArticleContentSimilarModel[]): Observable<ErrorExceptionResult<ArticleContentSimilarModel>>;
    ServiceDeleteBatch(model: ArticleContentSimilarModel[]): Observable<ErrorExceptionResultBase>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ArticleContentSimilarService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ArticleContentSimilarService>;
}
