import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { ArticleContentTagModel } from '../../models/entity/article/articleContentTagModel';
import { Observable } from 'rxjs';
import { FilterModel } from '../../models/entity/base/filterModel';
import { ErrorExceptionResultBase } from '../../models/entity/base/errorExceptionResultBase';
import * as i0 from "@angular/core";
export declare class ArticleContentTagService extends ApiCmsServerBase<ArticleContentTagModel, number, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceAddBatch(model: ArticleContentTagModel[]): Observable<ErrorExceptionResult<ArticleContentTagModel>>;
    ServiceDeleteBatch(model: ArticleContentTagModel[]): Observable<ErrorExceptionResultBase>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ArticleContentTagService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ArticleContentTagService>;
}
