import { Observable } from 'rxjs';
import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { FilterModel } from '../../models/entity/base/filterModel';
import { BankPaymentPrivateSiteConfigModel } from '../../models/entity/bank-payment/bankPaymentPrivateSiteConfigModel';
import { BankPaymentInjectOnlineTransactionDtoModel } from '../../models/dto/bankPayment/bankPaymentInjectOnlineTransactionDtoModel';
import { BankPaymentInjectPaymentGotoBankStep2LandingSitePageModel } from '../../models/dto/bankPayment/bankPaymentInjectPaymentGotoBankStep2LandingSitePageModel';
import { BankPaymentPrivateSiteConfigAliasJsonModel } from '../../models/entity/bank-payment/bankPaymentPrivateSiteConfigAliasJsonModel';
import * as i0 from "@angular/core";
export declare class BankPaymentPrivateSiteConfigService extends ApiCmsServerBase<BankPaymentPrivateSiteConfigModel, number, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceGetOneWithJsonFormatter(id: number): Observable<ErrorExceptionResult<BankPaymentPrivateSiteConfigAliasJsonModel>>;
    ServiceTestPay(model: BankPaymentInjectOnlineTransactionDtoModel): Observable<ErrorExceptionResult<BankPaymentInjectPaymentGotoBankStep2LandingSitePageModel>>;
    ServiceGoToBankPaymentWebSite(model: BankPaymentInjectOnlineTransactionDtoModel): Observable<ErrorExceptionResult<BankPaymentInjectPaymentGotoBankStep2LandingSitePageModel>>;
    ServicePaymentGatewayList(): Observable<ErrorExceptionResult<BankPaymentPrivateSiteConfigModel>>;
    ServicePaymentGatewayCoreList(): Observable<ErrorExceptionResult<BankPaymentPrivateSiteConfigModel>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<BankPaymentPrivateSiteConfigService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<BankPaymentPrivateSiteConfigService>;
}
