import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { BiographyContentSimilarModel } from '../../models/entity/biography/biographyContentSimilarModel';
import { FilterModel } from '../../models/entity/base/filterModel';
import { Observable } from 'rxjs';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { ErrorExceptionResultBase } from '../../models/entity/base/errorExceptionResultBase';
import * as i0 from "@angular/core";
export declare class BiographyContentSimilarService extends ApiCmsServerBase<BiographyContentSimilarModel, number, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceAddBatch(model: BiographyContentSimilarModel[]): Observable<ErrorExceptionResult<BiographyContentSimilarModel>>;
    ServiceDeleteBatch(model: BiographyContentSimilarModel[]): Observable<ErrorExceptionResultBase>;
    static ɵfac: i0.ɵɵFactoryDeclaration<BiographyContentSimilarService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<BiographyContentSimilarService>;
}
