import { Observable } from 'rxjs';
import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { BlogCategoryModel } from '../../models/entity/blog/blogCategoryModel';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { FilterModel } from '../../models/entity/base/filterModel';
import * as i0 from "@angular/core";
export declare class BlogCategoryService extends ApiCmsServerBase<BlogCategoryModel, number, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceMove(OldId: number, NewId: number): Observable<ErrorExceptionResult<BlogCategoryModel>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<BlogCategoryService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<BlogCategoryService>;
}
