import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { BlogContentTagModel } from '../../models/entity/blog/blogContentTagModel';
import { Observable } from 'rxjs';
import { FilterModel } from '../../models/entity/base/filterModel';
import { ErrorExceptionResultBase } from '../../models/entity/base/errorExceptionResultBase';
import * as i0 from "@angular/core";
export declare class BlogContentTagService extends ApiCmsServerBase<BlogContentTagModel, number, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceAddBatch(model: BlogContentTagModel[]): Observable<ErrorExceptionResult<BlogContentTagModel>>;
    ServiceDeleteBatch(model: BlogContentTagModel[]): Observable<ErrorExceptionResultBase>;
    static ɵfac: i0.ɵɵFactoryDeclaration<BlogContentTagService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<BlogContentTagService>;
}
