import { Observable } from 'rxjs';
import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { CatalogCategoryModel } from '../../models/entity/catalog/catalogCategoryModel';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { FilterModel } from '../../models/entity/base/filterModel';
import * as i0 from "@angular/core";
export declare class CatalogCategoryService extends ApiCmsServerBase<CatalogCategoryModel, string, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceMove(OldId: string, NewId: string): Observable<ErrorExceptionResult<CatalogCategoryModel>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CatalogCategoryService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CatalogCategoryService>;
}
