import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { FilterModel } from '../../models/entity/base/filterModel';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { CatalogContentModel } from '../../models/entity/catalog/catalogContentModel';
import { Observable } from 'rxjs';
import { ScoreClickDtoModel } from '../../models/dto/core-main/scoreClickDtoModel';
import { ErrorExceptionResultBase } from '../../models/entity/base/errorExceptionResultBase';
import { CoreModuleReportAbuseDtoModel } from '../../models/dto/core-module/coreModuleReportAbuseDtoModel';
import * as i0 from "@angular/core";
export declare class CatalogContentService extends ApiCmsServerBase<CatalogContentModel, string, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceScoreClick(model: ScoreClickDtoModel): Observable<ErrorExceptionResultBase>;
    ServiceFavoriteAdd(Id: string): Observable<ErrorExceptionResultBase>;
    ServiceFavoriteRemove(Id: string): Observable<ErrorExceptionResultBase>;
    ServiceFavoriteList(model: FilterModel): Observable<ErrorExceptionResult<CatalogContentModel>>;
    ServiceReportAbuseAdd(model: CoreModuleReportAbuseDtoModel): Observable<ErrorExceptionResult<CatalogContentModel>>;
    ServiceReportAbuseList(model: FilterModel): Observable<ErrorExceptionResult<CatalogContentModel>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CatalogContentService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CatalogContentService>;
}
