import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { ChartContentSimilarModel } from '../../models/entity/chart/chartContentSimilarModel';
import { FilterModel } from '../../models/entity/base/filterModel';
import { Observable } from 'rxjs';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { ErrorExceptionResultBase } from '../../models/entity/base/errorExceptionResultBase';
import * as i0 from "@angular/core";
export declare class ChartContentSimilarService extends ApiCmsServerBase<ChartContentSimilarModel, number, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceAddBatch(model: ChartContentSimilarModel[]): Observable<ErrorExceptionResult<ChartContentSimilarModel>>;
    ServiceDeleteBatch(model: ChartContentSimilarModel[]): Observable<ErrorExceptionResultBase>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ChartContentSimilarService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ChartContentSimilarService>;
}
