import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { ChartContentTagModel } from '../../models/entity/chart/chartContentTagModel';
import { Observable } from 'rxjs';
import { FilterModel } from '../../models/entity/base/filterModel';
import { ErrorExceptionResultBase } from '../../models/entity/base/errorExceptionResultBase';
import * as i0 from "@angular/core";
export declare class ChartContentTagService extends ApiCmsServerBase<ChartContentTagModel, number, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceAddBatch(model: ChartContentTagModel[]): Observable<ErrorExceptionResult<ChartContentTagModel>>;
    ServiceDeleteBatch(model: ChartContentTagModel[]): Observable<ErrorExceptionResultBase>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ChartContentTagService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ChartContentTagService>;
}
