import { ApiServerConfigSiteBase } from '../base/apiServerConfigSiteBase.service';
import { CoreModuleConfigAdminMainValuesModel, CoreModuleConfigSiteAccessValuesModel, CoreModuleConfigSiteValuesModel, CoreModuleSiteStorageValuesModel } from '../../models/entity/core-main/coreConfigurationModel';
import { Observable } from 'rxjs';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { IpModel } from '../../models/dto/core-main/ipModel';
import * as i0 from "@angular/core";
export declare class CoreConfigurationService extends ApiServerConfigSiteBase<CoreModuleConfigAdminMainValuesModel, CoreModuleConfigSiteValuesModel, CoreModuleConfigSiteAccessValuesModel, CoreModuleSiteStorageValuesModel> {
    getModuleControllerUrl(): string;
    ServiceUserMembershipRule(): Observable<ErrorExceptionResult<string>>;
    ServiceIp(): Observable<IpModel>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreConfigurationService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CoreConfigurationService>;
}
