import { Observable } from 'rxjs';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { ErrorExceptionResultBase } from '../../models/entity/base/errorExceptionResultBase';
import { FilterModel } from '../../models/entity/base/filterModel';
import { CoreCpMainMenuModel } from '../../models/entity/core-main/coreCpMainMenuModel';
import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { EditStepDtoModel } from '../../models/dto/core-main/editStepDtoModel';
import * as i0 from "@angular/core";
export declare class CoreCpMainMenuService extends ApiCmsServerBase<CoreCpMainMenuModel, number, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceGetAllTree(model: FilterModel): Observable<ErrorExceptionResult<CoreCpMainMenuModel>>;
    ServiceGetAllMenu(model: FilterModel): Observable<ErrorExceptionResult<CoreCpMainMenuModel>>;
    ServiceEditStep(model: EditStepDtoModel<number>): Observable<ErrorExceptionResultBase>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreCpMainMenuService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CoreCpMainMenuService>;
}
