import { Observable } from 'rxjs';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { InfoEnumModel } from '../../models/entity/base/infoEnumModel';
import { ApiServerBase } from '../base/apiServerBase.service';
import * as i0 from "@angular/core";
export declare class CoreEnumService extends ApiServerBase {
    getModuleControllerUrl(): string;
    ServiceRecordStatusEnum(cashApiSeconds?: number): Observable<ErrorExceptionResult<InfoEnumModel>>;
    ServiceLocationTypeEnum(): Observable<ErrorExceptionResult<InfoEnumModel>>;
    ServiceUserLanguageEnum(): Observable<ErrorExceptionResult<InfoEnumModel>>;
    ServiceGenderEnum(): Observable<ErrorExceptionResult<InfoEnumModel>>;
    ServiceMenuPlaceTypeEnum(): Observable<ErrorExceptionResult<InfoEnumModel>>;
    ServiceSiteStatusEnum(): Observable<ErrorExceptionResult<InfoEnumModel>>;
    ServiceGenderTypeEnum(): Observable<ErrorExceptionResult<InfoEnumModel>>;
    ServiceCmsSiteMenuAreaTypeEnum(): Observable<ErrorExceptionResult<InfoEnumModel>>;
    ServiceLanguageEnum(): Observable<ErrorExceptionResult<InfoEnumModel>>;
    ServiceDeviceTypeEnum(): Observable<ErrorExceptionResult<InfoEnumModel>>;
    ServiceOperatingSystemTypeEnum(): Observable<ErrorExceptionResult<InfoEnumModel>>;
    ServiceManageUserAccessAreaTypesEnum(): Observable<ErrorExceptionResult<InfoEnumModel>>;
    ServiceManageUserAccessUserTypesEnum(): Observable<ErrorExceptionResult<InfoEnumModel>>;
    ServiceSendSmsStatusTypeEnum(): Observable<ErrorExceptionResult<InfoEnumModel>>;
    ServiceSendNotificationStatusTypeEnum(): Observable<ErrorExceptionResult<InfoEnumModel>>;
    ServiceReceiverNotificationStatusTypeEnum(): Observable<ErrorExceptionResult<InfoEnumModel>>;
    ServiceCmsModuleSaleItemTypeEnum(): Observable<ErrorExceptionResult<InfoEnumModel>>;
    ServiceNotificationTypeEnum(): Observable<ErrorExceptionResult<InfoEnumModel>>;
    ServiceReportFileTypeEnum(): Observable<ErrorExceptionResult<InfoEnumModel>>;
    ServiceUserClaimKindsEnum(): Observable<ErrorExceptionResult<InfoEnumModel>>;
    ServiceUserClaimGroupActionTypeEnum(): Observable<ErrorExceptionResult<InfoEnumModel>>;
    ServiceInputDataTypeEnum(): Observable<ErrorExceptionResult<InfoEnumModel>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreEnumService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CoreEnumService>;
}
