import { Observable } from 'rxjs';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { FilterModel } from '../../models/entity/base/filterModel';
import { CoreLocationModel } from '../../models/entity/core-main/coreLocationModel';
import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import * as i0 from "@angular/core";
export declare class CoreLocationService extends ApiCmsServerBase<CoreLocationModel, number, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceGetOneIncludeChild(id: number): Observable<ErrorExceptionResult<CoreLocationModel>>;
    ServiceGetOneIncludeParent(id: number): Observable<ErrorExceptionResult<CoreLocationModel>>;
    ServiceGetAllTree(model: FilterModel): Observable<ErrorExceptionResult<CoreLocationModel>>;
    ServiceGetAllProvinces(model: FilterModel): Observable<ErrorExceptionResult<CoreLocationModel>>;
    ServiceGetAllCities(model: FilterModel): Observable<ErrorExceptionResult<CoreLocationModel>>;
    ServiceGetAllNeighbourhoods(model: FilterModel): Observable<ErrorExceptionResult<CoreLocationModel>>;
    ServiceGetAllCountry(model: FilterModel): Observable<ErrorExceptionResult<CoreLocationModel>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreLocationService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CoreLocationService>;
}
