import { Observable } from 'rxjs';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { FilterModel } from '../../models/entity/base/filterModel';
import { CoreModuleProcessModel } from '../../models/entity/core-main/coreModuleProcessModel';
import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import * as i0 from "@angular/core";
export declare class CoreModuleProcessService extends ApiCmsServerBase<CoreModuleProcessModel, number, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceAutoAdd(): Observable<ErrorExceptionResult<CoreModuleProcessModel>>;
    ServiceGetOneWithJsonFormatter(model: FilterModel): Observable<ErrorExceptionResult<CoreModuleProcessModel>>;
    ServiceGetAllWithJsonFormatter(model: FilterModel): Observable<ErrorExceptionResult<CoreModuleProcessModel>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreModuleProcessService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CoreModuleProcessService>;
}
