import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { FilterModel } from '../../models/entity/base/filterModel';
import { CoreModuleSaleSerialModel } from '../../models/entity/core-main/coreModuleSaleSerialModel';
import { Observable } from 'rxjs';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { CoreModuleCheckSerialForSiteDtoModel } from '../../models/dto/core-main/coreModuleCheckSerialForSiteDtoModel';
import { CoreModuleSaleInvoiceDetailModel } from '../../models/entity/core-main/coreModuleSaleInvoiceDetailModel';
import { CoreModuleSaleInvoiceModel } from '../../models/entity/core-main/coreModuleSaleInvoiceModel';
import * as i0 from "@angular/core";
export declare class CoreModuleSaleSerialService extends ApiCmsServerBase<CoreModuleSaleSerialModel, number, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceCheckUseSerialForSite(model: CoreModuleCheckSerialForSiteDtoModel): Observable<ErrorExceptionResult<CoreModuleSaleInvoiceDetailModel>>;
    ServiceRegisterUseSerialForSite(model: CoreModuleCheckSerialForSiteDtoModel): Observable<ErrorExceptionResult<CoreModuleSaleInvoiceModel>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreModuleSaleSerialService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CoreModuleSaleSerialService>;
}
