import { Observable, BehaviorSubject } from 'rxjs';
import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { FilterModel } from '../../models/entity/base/filterModel';
import { CoreUserModel } from '../../models/entity/core-main/coreUserModel';
import { RessellerChartModel } from '../../models/dto/core-main/ressellerChartModel';
import * as i0 from "@angular/core";
export declare class CoreUserService extends ApiCmsServerBase<CoreUserModel, number, FilterModel> {
    CurrentUser: BehaviorSubject<CoreUserModel>;
    CurrentUserObs: Observable<CoreUserModel>;
    getModuleControllerUrl(): string;
    ServiceGetRessellerChart(linkUserId?: number): Observable<ErrorExceptionResult<RessellerChartModel>>;
    SetCurrentUser(model: CoreUserModel): any;
    ServiceCurrectUser(): Observable<ErrorExceptionResult<CoreUserModel>>;
    ServiceGetGlobalToken(model: FilterModel): Observable<ErrorExceptionResult<CoreUserModel>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreUserService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CoreUserService>;
}
