import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { CoreUserClaimContentModel } from '../../models/entity/core-main/coreUserClaimContentModel';
import { FilterModel } from '../../models/entity/base/filterModel';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { Observable } from 'rxjs';
import { CoreUserClaimCheckDtoModel } from '../../models/dto/core-main/coreUserClaimCheckDtoModel';
import { CoreUserClaimCheckModel } from '../../models/dto/core-main/coreUserClaimCheckModel';
import * as i0 from "@angular/core";
export declare class CoreUserClaimContentService extends ApiCmsServerBase<CoreUserClaimContentModel, number, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceClaimCheck(model: CoreUserClaimCheckDtoModel): Observable<ErrorExceptionResult<CoreUserClaimCheckModel>>;
    ServiceClaimCheckCurrent(): Observable<ErrorExceptionResult<CoreUserClaimCheckModel>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreUserClaimContentService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CoreUserClaimContentService>;
}
