import { CoreModuleLogFavoriteModel } from '../../models/entity/core-module-log/coreModuleLogFavoriteModel';
import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { FilterModel } from '../../models/entity/base/filterModel';
import { CoreModuleFavoriteDtoModel } from '../../models/dto/core-module/coreModuleFavoriteDtoModel';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class CoreModuleLogFavoriteService extends ApiCmsServerBase<CoreModuleLogFavoriteModel, string, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceAddFavorite(model: CoreModuleFavoriteDtoModel): Observable<ErrorExceptionResult<CoreModuleLogFavoriteModel>>;
    ServiceRemoveFavorite(model: CoreModuleFavoriteDtoModel): Observable<ErrorExceptionResult<CoreModuleLogFavoriteModel>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreModuleLogFavoriteService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CoreModuleLogFavoriteService>;
}
