import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { CoreModuleSiteUserCreditModel } from '../../models/entity/core-module-main/coreModuleSiteUserCreditModel';
import { FilterModel } from '../../models/entity/base/filterModel';
import { Observable } from 'rxjs';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { CoreModuleSiteUserCreditCalculateDtoModel } from '../../models/dto/core-module/coreModuleSiteUserCreditCalculateDtoModel';
import { BankPaymentInjectPaymentGotoBankStep1CalculateModel } from '../../models/dto/bankPayment/bankPaymentInjectPaymentGotoBankStep1CalculateModel';
import { CoreModuleSiteUserCreditPaymentDtoModel } from '../../models/dto/core-module/coreModuleSiteUserCreditPaymentDtoModel';
import { BankPaymentInjectPaymentGotoBankStep2LandingSitePageModel } from '../../models/dto/bankPayment/bankPaymentInjectPaymentGotoBankStep2LandingSitePageModel';
import { CoreModuleSiteUserCreditChargeDirectDtoModel } from '../../models/dto/core-module/coreModuleSiteUserCreditChargeDirectDtoModel';
import * as i0 from "@angular/core";
export declare class CoreModuleSiteUserCreditService extends ApiCmsServerBase<CoreModuleSiteUserCreditModel, number, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceGetCredit(LinkModuleId: number): Observable<ErrorExceptionResult<CoreModuleSiteUserCreditModel>>;
    ServiceGetAllCredit(): Observable<ErrorExceptionResult<CoreModuleSiteUserCreditModel>>;
    ServiceChargeDirect(model: CoreModuleSiteUserCreditChargeDirectDtoModel): Observable<ErrorExceptionResult<CoreModuleSiteUserCreditModel>>;
    ServiceOrderCalculate(model: CoreModuleSiteUserCreditCalculateDtoModel): Observable<ErrorExceptionResult<BankPaymentInjectPaymentGotoBankStep1CalculateModel>>;
    ServiceOrderPayment(model: CoreModuleSiteUserCreditPaymentDtoModel): Observable<ErrorExceptionResult<BankPaymentInjectPaymentGotoBankStep2LandingSitePageModel>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreModuleSiteUserCreditService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CoreModuleSiteUserCreditService>;
}
