import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { CoreTokenNotificationModel } from '../../models/entity/core-token/coreTokenNotificationModel';
import { FilterModel } from '../../models/entity/base/filterModel';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { Observable } from 'rxjs';
import { CmsNotificationSendDtoModel } from '../../models/dto/core-main/cmsNotificationSendDtoModel';
import * as i0 from "@angular/core";
export declare class CoreTokenNotificationService extends ApiCmsServerBase<CoreTokenNotificationModel, string, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceSendNotification(model: CmsNotificationSendDtoModel): Observable<ErrorExceptionResult<CoreTokenNotificationModel>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreTokenNotificationService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CoreTokenNotificationService>;
}
