import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { FilterModel } from '../../models/entity/base/filterModel';
import { EstateAdsTypeModel } from '../../models/entity/estate/estateAdsTypeModel';
import { Observable } from 'rxjs';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { EstatePropertyAdsModel } from '../../models/entity/estate/estatePropertyAdsModel';
import * as i0 from "@angular/core";
export declare class EstateAdsTypeService extends ApiCmsServerBase<EstateAdsTypeModel, string, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceGetAllSale(model: FilterModel): Observable<ErrorExceptionResult<EstateAdsTypeModel>>;
    ServiceCheckUseAdsForProperty(AdsTypeId: string, id: string): Observable<ErrorExceptionResult<EstatePropertyAdsModel>>;
    ServiceCheckUseAdsForAccountAgency(AdsTypeId: string, id: string): Observable<ErrorExceptionResult<EstatePropertyAdsModel>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<EstateAdsTypeService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<EstateAdsTypeService>;
}
