import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { EstateCustomerOrderModel } from '../../models/entity/estate/estateCustomerOrderModel';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { Observable } from 'rxjs';
import { ErrorExceptionResultExportFile } from '../../models/entity/base/errorExceptionResultExportFile';
import { EstateCustomerOrderActionSendSmsDtoModel } from '../../models/dto/estate/estateCustomerOrderActionSendSmsDtoModel';
import { ErrorExceptionResultBase } from '../../models/entity/base/errorExceptionResultBase';
import { EstateCustomerOrderFilterModel } from '../../models/filters/estate/estateCustomerOrderFilterModel';
import * as i0 from "@angular/core";
export declare class EstateCustomerOrderService extends ApiCmsServerBase<EstateCustomerOrderModel, string, EstateCustomerOrderFilterModel> {
    getModuleControllerUrl(): string;
    ServiceActionSendSms(model: EstateCustomerOrderActionSendSmsDtoModel): Observable<ErrorExceptionResultBase>;
    ServiceGetAllWithResponsibleUserId(userId: number, model: EstateCustomerOrderFilterModel): Observable<ErrorExceptionResult<EstateCustomerOrderModel>>;
    ServiceGetAllWithCoverPropertyId(propertyId: string, model: EstateCustomerOrderFilterModel): Observable<ErrorExceptionResult<EstateCustomerOrderModel>>;
    ServiceGetAllWithCoverPropertyIdHaveHistory(propertyId: string, model: EstateCustomerOrderFilterModel): Observable<ErrorExceptionResult<EstateCustomerOrderModel>>;
    ServiceGetAllWithResponsibleUserIdExportFile(userId: number, model: EstateCustomerOrderFilterModel): Observable<ErrorExceptionResultExportFile>;
    ServiceGetAllWithCoverCategoryRackFolderId(RackFolderId: string, model: EstateCustomerOrderFilterModel): Observable<ErrorExceptionResult<EstateCustomerOrderModel>>;
    ServiceGetAllWithCoverCategoryZoneId(ZoneId: string, model: EstateCustomerOrderFilterModel): Observable<ErrorExceptionResult<EstateCustomerOrderModel>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<EstateCustomerOrderService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<EstateCustomerOrderService>;
}
