import { Observable } from 'rxjs';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { InfoEnumModel } from '../../models/entity/base/infoEnumModel';
import { ApiServerBase } from '../base/apiServerBase.service';
import * as i0 from "@angular/core";
export declare class EstateEnumService extends ApiServerBase {
    getModuleControllerUrl(): string;
    ServiceEstateUserTypeEnum(): Observable<ErrorExceptionResult<InfoEnumModel>>;
    ServiceEstatePropertyExpertPriceTypeEnum(): Observable<ErrorExceptionResult<InfoEnumModel>>;
    ServiceEstateActivityStatusEnum(): Observable<ErrorExceptionResult<InfoEnumModel>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<EstateEnumService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<EstateEnumService>;
}
