import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { FilterModel } from '../../models/entity/base/filterModel';
import { EstatePropertyDetailGroupModel } from '../../models/entity/estate/estatePropertyDetailGroupModel';
import { EditStepDtoModel } from '../../models/dto/core-main/editStepDtoModel';
import { Observable } from 'rxjs';
import { ErrorExceptionResultBase } from '../../models/entity/base/errorExceptionResultBase';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import * as i0 from "@angular/core";
export declare class EstatePropertyDetailGroupService extends ApiCmsServerBase<EstatePropertyDetailGroupModel, string, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceGetAllFastSearch(model: FilterModel): Observable<ErrorExceptionResult<EstatePropertyDetailGroupModel>>;
    ServiceEditStep(model: EditStepDtoModel<string>): Observable<ErrorExceptionResultBase>;
    static ɵfac: i0.ɵɵFactoryDeclaration<EstatePropertyDetailGroupService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<EstatePropertyDetailGroupService>;
}
