import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { FilterModel } from '../../models/entity/base/filterModel';
import { EstatePropertyShareAgencyModel } from '../../models/entity/estate/estatePropertyShareAgencyModel';
import { Observable } from 'rxjs';
import { ErrorExceptionResultBase } from '../../models/entity/base/errorExceptionResultBase';
import * as i0 from "@angular/core";
export declare class EstatePropertyShareAgencyService extends ApiCmsServerBase<EstatePropertyShareAgencyModel, string, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceJoin(linkEstateAgencyId: string, shareKey: string): Observable<ErrorExceptionResultBase>;
    static ɵfac: i0.ɵɵFactoryDeclaration<EstatePropertyShareAgencyService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<EstatePropertyShareAgencyService>;
}
