import { Observable } from 'rxjs';
import { FilterModel } from '../../models/entity/base/filterModel';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { HyperShopCategoryModel } from '../../models/entity/hyper-shop/hyperShopCategoryModel';
import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import * as i0 from "@angular/core";
export declare class HyperShopCategoryService extends ApiCmsServerBase<HyperShopCategoryModel, string, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceGetAllMicroService(model: FilterModel): Observable<ErrorExceptionResult<HyperShopCategoryModel>>;
    ServiceGetOneMicroService(id: string): Observable<ErrorExceptionResult<HyperShopCategoryModel>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<HyperShopCategoryService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<HyperShopCategoryService>;
}
