import { Observable } from 'rxjs';
import { FilterModel } from '../../models/entity/base/filterModel';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { HyperShopContentModel } from '../../models/entity/hyper-shop/hyperShopContentModel';
import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { ErrorExceptionResultBase } from '../../models/entity/base/errorExceptionResultBase';
import * as i0 from "@angular/core";
export declare class HyperShopContentService extends ApiCmsServerBase<HyperShopContentModel, string, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceGetAllMicroService(model: FilterModel): Observable<ErrorExceptionResult<HyperShopContentModel>>;
    ServiceGetOneMicroService(id: string): Observable<ErrorExceptionResult<HyperShopContentModel>>;
    ServiceFavoriteAdd(Id: number): Observable<ErrorExceptionResultBase>;
    ServiceFavoriteRemove(Id: number): Observable<ErrorExceptionResultBase>;
    ServiceFavoriteList(model: FilterModel): Observable<ErrorExceptionResult<HyperShopContentModel>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<HyperShopContentService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<HyperShopContentService>;
}
