import { Observable } from 'rxjs';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { InfoEnumModel } from '../../models/entity/base/infoEnumModel';
import { ApiServerBase } from '../base/apiServerBase.service';
import * as i0 from "@angular/core";
export declare class LinkManagementEnumService extends ApiServerBase {
    getModuleControllerUrl(): string;
    ServiceSharingPriceTypeEnum(): Observable<ErrorExceptionResult<InfoEnumModel>>;
    ServiceManagementContentSettingTypeEnum(): Observable<ErrorExceptionResult<InfoEnumModel>>;
    ServiceSharingAccountingTypeEnum(): Observable<ErrorExceptionResult<InfoEnumModel>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<LinkManagementEnumService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<LinkManagementEnumService>;
}
