import { Observable } from 'rxjs';
import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { NewsCategoryModel } from '../../models/entity/news/newsCategoryModel';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { FilterModel } from '../../models/entity/base/filterModel';
import * as i0 from "@angular/core";
export declare class NewsCategoryService extends ApiCmsServerBase<NewsCategoryModel, number, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceMove(OldId: number, NewId: number): Observable<ErrorExceptionResult<NewsCategoryModel>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<NewsCategoryService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NewsCategoryService>;
}
