import { Observable } from 'rxjs';
import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { PollingVoteModel } from '../../models/entity/polling/pollingVoteModel';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { FilterModel } from '../../models/entity/base/filterModel';
import * as i0 from "@angular/core";
export declare class PollingVoteService extends ApiCmsServerBase<PollingVoteModel, string, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceAddBatch(model: PollingVoteModel[]): Observable<ErrorExceptionResult<PollingVoteModel>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<PollingVoteService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<PollingVoteService>;
}
