import { Observable } from 'rxjs';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { InfoEnumModel } from '../../models/entity/base/infoEnumModel';
import { ApiServerBase } from '../base/apiServerBase.service';
import * as i0 from "@angular/core";
export declare class SmsEnumService extends ApiServerBase {
    getModuleControllerUrl(): string;
    ServiceSmsApiNumberPermissionAccessStatusEnum(): Observable<ErrorExceptionResult<InfoEnumModel>>;
    ServiceSmsApiNumberPermissionActionEnum(): Observable<ErrorExceptionResult<InfoEnumModel>>;
    ServiceSmsApiPathPermissionAccessStatusEnum(): Observable<ErrorExceptionResult<InfoEnumModel>>;
    ServiceSmsApiPathPermissionActionEnum(): Observable<ErrorExceptionResult<InfoEnumModel>>;
    ServiceSmsMessageTypeEnum(): Observable<ErrorExceptionResult<InfoEnumModel>>;
    ServiceSmsOutBoxTypeEnum(): Observable<ErrorExceptionResult<InfoEnumModel>>;
    ServiceSmsProcessFlowRecordStatusEnum(): Observable<ErrorExceptionResult<InfoEnumModel>>;
    ServiceSmsProcessFlowSmsStatusEnum(): Observable<ErrorExceptionResult<InfoEnumModel>>;
    ServiceSmsRecordStatusOutBoxEnum(): Observable<ErrorExceptionResult<InfoEnumModel>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SmsEnumService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SmsEnumService>;
}
